/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

/**
 *
 * @author Diego.Octavo
 */
public class ValidarNovedadDependienteValor extends AbstractRule {

    
    public boolean performValidation(String field, String[] registro, String nombreArchivo) {
        
        String posicionCodigoNovedad= (String)(getParams()[0]);
        int pCodigoNovedad = Integer.parseInt(posicionCodigoNovedad);
        String CodigoNovedad = registro[pCodigoNovedad];
        
        if(CodigoNovedad.equals((String)(getParams()[1])))
        {
            if((field == null || field.trim() == "") && ((String)(getParams()[2])).equals("NONULO"))
            {
                return true;
            }
        }
       return false;
    }
    
}